ru.bitel.bgbilling.modules.rentsoft.common.service

## Interface RentsoftService

-     public interface RentsoftService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<RentsoftPayment>` | `getPaymentsByProduct(int productId, int cid)`
    `java.util.List<RentsoftProduct>` | `getProductList()`
    `java.util.List<Pair<RentsoftProduct,SubscribtionStatus>>` | `getSubscribtionStatuses(int cid)`
    `void` | `recalculate(int cid, java.util.Date date)`
    `java.lang.String` | `source(int contractId, java.lang.String rsUri)`

- - ### Method Detail

    - #### getProductList

          java.util.List<RentsoftProduct> getProductList()
                                                  throws ru.bitel.bgbilling.common.BGException,
                                                         ru.bitel.bgbilling.common.BGMessageException,
                                                         ru.bitel.bgbilling.common.BGIllegalArgumentException,
                                                         ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### getPaymentsByProduct

          java.util.List<RentsoftPayment> getPaymentsByProduct(int productId,
                                                               int cid)
                                                        throws ru.bitel.bgbilling.common.BGException,
                                                               ru.bitel.bgbilling.common.BGMessageException,
                                                               ru.bitel.bgbilling.common.BGIllegalArgumentException,
                                                               ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### getSubscribtionStatuses

          java.util.List<Pair<RentsoftProduct,SubscribtionStatus>> getSubscribtionStatuses(int cid)
                                                                                    throws ru.bitel.bgbilling.common.BGException,
                                                                                           ru.bitel.bgbilling.common.BGMessageException,
                                                                                           ru.bitel.bgbilling.common.BGIllegalArgumentException,
                                                                                           ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### recalculate

          void recalculate(int cid,
                           java.util.Date date)
                    throws ru.bitel.bgbilling.common.BGException,
                           ru.bitel.bgbilling.common.BGMessageException,
                           ru.bitel.bgbilling.common.BGIllegalArgumentException,
                           ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### source

          java.lang.String source(int contractId,
                                  java.lang.String rsUri)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException,
                                  ru.bitel.bgbilling.common.BGIllegalArgumentException,
                                  ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalArgumentException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`